GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions
bin_encoder.c File Reference
`#include "src/core/transport/chttp2/bin_encoder.h"`
`#include <string.h>`
`#include "src/core/transport/chttp2/huffsyms.h"`
`#include <grpc/support/log.h>`

## Data Structures
struct | b64_huff_sym
struct | huff_out

## Functions
gpr_slice | grpc_chttp2_base64_encode (gpr_slice input)
gpr_slice | grpc_chttp2_huffman_compress (gpr_slice input)
gpr_slice | grpc_chttp2_base64_encode_and_huffman_compress (gpr_slice input)
int | grpc_is_binary_header (const char *key, size_t length)

## Function Documentation

gpr_slice grpc_chttp2_base64_encode | ( | gpr_slice | input | ) |

gpr_slice grpc_chttp2_base64_encode_and_huffman_compress | ( | gpr_slice | input | ) |

gpr_slice grpc_chttp2_huffman_compress | ( | gpr_slice | input | ) |

int grpc_is_binary_header | ( | const char * | key,
|  | size_t | length
| ) |  |